Bug 1327594 - Build always fails when using --nocheck
Summary: Build always fails when using --nocheck
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1328212 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-15 13:00 UTC by Lars Karlitski
Modified: 2016-06-28 03:19 UTC (History)
8 users (show)

Fixed In Version: mock-1.2.18-1.fc23 mock-1.2.18-1.fc24 mock-1.2.18-1.el7 mock-1.2.18-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-13 04:55:55 UTC
Type: Bug


Attachments (Terms of Use)
Escape argument to rpmbuild's --define (885 bytes, application/mbox)
2016-04-15 13:00 UTC, Lars Karlitski
no flags Details

Description Lars Karlitski 2016-04-15 13:00:36 UTC
Created attachment 1147637 [details]
Escape argument to rpmbuild's --define

As of 1.2.16, mock doesn't quote the argument it passes to rpmbuild when --nocheck is given:

  --define __spec_check_template exit 0;

rpmbuild then fails because the macro doesn't have a body.

I've also sent the attached patch to buildsys@lists.fedoraproject.org (awaiting moderator approval).

Comment 1 Colin Walters 2016-04-21 12:42:25 UTC
*** Bug 1328212 has been marked as a duplicate of this bug. ***

Comment 2 Miroslav Suchý 2016-04-22 09:39:58 UTC
Fixed by commit:
* be2e236 (HEAD -> devel, origin/devel) mock: Bug 1327594 - Build always fails when using --nocheck

Comment 3 Fedora Update System 2016-06-10 13:13:22 UTC
mock-1.2.16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89209fd48b

Comment 4 Fedora Update System 2016-06-10 13:13:45 UTC
mock-1.2.18-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-70cdc0c410

Comment 5 Fedora Update System 2016-06-10 13:14:04 UTC
mock-1.2.18-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d9f899f6a

Comment 6 Fedora Update System 2016-06-10 13:14:23 UTC
mock-1.2.18-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-de15171a43

Comment 7 Fedora Update System 2016-06-10 13:14:44 UTC
mock-1.2.18-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9e2f372208

Comment 8 Fedora Update System 2016-06-10 17:59:32 UTC
mock-1.2.18-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-70cdc0c410

Comment 9 Fedora Update System 2016-06-11 03:18:13 UTC
mock-1.2.18-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9e2f372208

Comment 10 Fedora Update System 2016-06-11 03:18:56 UTC
mock-1.2.18-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3d9f899f6a

Comment 11 Fedora Update System 2016-06-11 03:53:19 UTC
mock-1.2.16-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89209fd48b

Comment 12 Fedora Update System 2016-06-11 03:53:53 UTC
mock-1.2.18-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-de15171a43

Comment 13 Fedora Update System 2016-06-13 04:55:39 UTC
mock-1.2.18-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-06-18 18:33:59 UTC
mock-1.2.18-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-06-27 19:48:21 UTC
mock-1.2.18-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-06-28 03:19:08 UTC
mock-1.2.18-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.